<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.5.xsd">
    <!--
        Added the constraints for entity GeneralUpload.
    -->
    <changeSet id="20170101000000-2" author="jhipster">
        
        <addForeignKeyConstraint baseColumnNames="idinternal"
                                 baseTableName="general_upload"
                                 constraintName="fk_general_upload_internal_id"
                                 referencedColumnNames="idinternal"
                                 referencedTableName="internal"/>

        <addForeignKeyConstraint baseColumnNames="idpurposetype"
                                 baseTableName="general_upload"
                                 constraintName="fk_general_upload_purpose_id"
                                 referencedColumnNames="idpurposetype"
                                 referencedTableName="purpose_type"/>

    </changeSet>
</databaseChangeLog>
